import tkinter
import random
 
root = tkinter.Tk()
root.title("Random Name Picker")
root.geometry("400x200")
 
#Empty list to store students names.
students = []

#Import names from students.txt.
def importNames():
    # Read contents of students.txt and add the contents to the students list.
    file = open("students.txt","r")
    line = file.readline()
    while line != "":
        students.append(line)
        line = file.readline()
    file.close()
 
#Pick a name at random from the list.
def pickName():
    nameLabel.configure(text=random.choice(students))
 
#Define font size and type for label.
nameLabel = tkinter.Label(root, text="", font=("Helvetica", 32))
nameLabel.pack()
 
#Create buttons.
pickButton = tkinter.Button(text="Pick", command=pickName)
pickButton.pack()
 
#Main program.
importNames()
root.mainloop()